import {Component, OnInit} from '@angular/core';
import {ActivatedRoute} from '@angular/router';

@Component({
  selector: 'app-error',
  templateUrl: './error.component.html'
})
export class ErrorComponent implements OnInit {

  public errorMessage: string;

  public vorgangId: string;

  constructor(private route: ActivatedRoute) {}

  public ngOnInit(): void {
    this.route.queryParams.subscribe(params => {
      this.errorMessage = params.message;
      this.vorgangId = params.vorgangId;
    });
  }
}
