import {Component, Input, OnInit} from '@angular/core';
import {TimelineStateService} from '../../../core/services/timeline/timeline.service';

@Component({
  selector: 'timeline',
  templateUrl: './timeline.component.html',
  styleUrls: ['./timeline.component.scss'],
})
export class TimelineComponent implements OnInit {

  @Input()
  public processId: string;

  constructor(public timelineStateService: TimelineStateService) {
  }

  public ngOnInit() {
    this.timelineStateService.loadTimeline(this.processId);
  }
}
