/* tslint:disable:no-any */
import {Action as ReduxAction, combineReducers, Reducer} from 'redux';
import {INIT_STATE_TIMELINE_LADEN, timelineReducer, TimelineState} from '../../core/services/timeline/timeline.redux';

export interface AppState {
  timeline: TimelineState;
  // other app states
}

export const INIT_STATE: AppState = {
  timeline: INIT_STATE_TIMELINE_LADEN
};

export const rootReducer: Reducer<AppState> = combineReducers<AppState>({
  timeline: timelineReducer
  // other reducers
});

export interface Action<T> extends ReduxAction {
  payload?: T;
}
